import{s as We,n as Xe,o as Ye}from"../chunks/scheduler.9bc65507.js";import{S as Ze,i as et,g as l,s,r as m,A as tt,h as o,f as t,c as n,j as v,u as i,x as E,k as $,y as d,a,v as f,d as u,t as c,w as p}from"../chunks/index.707bf1b6.js";import{D as _}from"../chunks/Docstring.17db21ae.js";import{H as ae}from"../chunks/Heading.342b1fa6.js";function rt(Se){let b,se,te,ne,P,le,T,Ve="This page lists all of Transformers general utility functions that are found in the file <code>utils.py</code>.",oe,C,He="Most of those are only useful if you are studying the general code in the library.",me,L,ie,h,D,Ce,J,qe="Enum with more explicit error message for missing values.",de,y,M,Le,Q,Ue=`Possible values for the <code>padding</code> argument in <a href="/docs/transformers/v4.39.3/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizerBase.<strong>call</strong>()</a>. Useful for tab-completion in an
IDE.`,fe,x,z,De,W,je=`Possible values for the <code>return_tensors</code> argument in <a href="/docs/transformers/v4.39.3/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizerBase.<strong>call</strong>()</a>. Useful for
tab-completion in an IDE.`,ue,k,ce,I,S,pe,V,H,ge,q,U,ve,j,B,$e,A,G,_e,O,be,g,F,Me,X,Be="Descriptor that mimics @property but caches output in member variable.",ze,Y,Ae="From tensorflow_datasets",ke,Z,Ge="Built-in in functools from Python 3.8.",he,K,ye,N,R,Ie,ee,Oe="Module class that surfaces all objects but only performs associated imports when the objects are requested.",xe,re,Ne;return P=new ae({props:{title:"General Utilities",local:"general-utilities",headingTag:"h1"}}),L=new ae({props:{title:"Enums and namedtuples",local:"transformers.utils.ExplicitEnum",headingTag:"h2"}}),D=new _({props:{name:"class transformers.utils.ExplicitEnum",anchor:"transformers.utils.ExplicitEnum",parameters:[{name:"value",val:""},{name:"names",val:" = None"},{name:"module",val:" = None"},{name:"qualname",val:" = None"},{name:"type",val:" = None"},{name:"start",val:" = 1"}],source:"https://github.com/huggingface/transformers/blob/v4.39.3/src/transformers/utils/generic.py#L492"}}),M=new _({props:{name:"class transformers.utils.PaddingStrategy",anchor:"transformers.utils.PaddingStrategy",parameters:[{name:"value",val:""},{name:"names",val:" = None"},{name:"module",val:" = None"},{name:"qualname",val:" = None"},{name:"type",val:" = None"},{name:"start",val:" = 1"}],source:"https://github.com/huggingface/transformers/blob/v4.39.3/src/transformers/utils/generic.py#L504"}}),z=new _({props:{name:"class transformers.TensorType",anchor:"transformers.TensorType",parameters:[{name:"value",val:""},{name:"names",val:" = None"},{name:"module",val:" = None"},{name:"qualname",val:" = None"},{name:"type",val:" = None"},{name:"start",val:" = 1"}],source:"https://github.com/huggingface/transformers/blob/v4.39.3/src/transformers/utils/generic.py#L515"}}),k=new ae({props:{title:"Special Decorators",local:"transformers.add_start_docstrings",headingTag:"h2"}}),S=new _({props:{name:"transformers.add_start_docstrings",anchor:"transformers.add_start_docstrings",parameters:[{name:"*docstr",val:""}],source:"https://github.com/huggingface/transformers/blob/v4.39.3/src/transformers/utils/doc.py#L23"}}),H=new _({props:{name:"transformers.utils.add_start_docstrings_to_model_forward",anchor:"transformers.utils.add_start_docstrings_to_model_forward",parameters:[{name:"*docstr",val:""}],source:"https://github.com/huggingface/transformers/blob/v4.39.3/src/transformers/utils/doc.py#L31"}}),U=new _({props:{name:"transformers.add_end_docstrings",anchor:"transformers.add_end_docstrings",parameters:[{name:"*docstr",val:""}],source:"https://github.com/huggingface/transformers/blob/v4.39.3/src/transformers/utils/doc.py#L53"}}),B=new _({props:{name:"transformers.utils.add_code_sample_docstrings",anchor:"transformers.utils.add_code_sample_docstrings",parameters:[{name:"*docstr",val:""},{name:"processor_class",val:" = None"},{name:"checkpoint",val:" = None"},{name:"output_type",val:" = None"},{name:"config_class",val:" = None"},{name:"mask",val:" = '[MASK]'"},{name:"qa_target_start_index",val:" = 14"},{name:"qa_target_end_index",val:" = 15"},{name:"model_cls",val:" = None"},{name:"modality",val:" = None"},{name:"expected_output",val:" = None"},{name:"expected_loss",val:" = None"},{name:"real_checkpoint",val:" = None"},{name:"revision",val:" = None"}],source:"https://github.com/huggingface/transformers/blob/v4.39.3/src/transformers/utils/doc.py#L1064"}}),G=new _({props:{name:"transformers.utils.replace_return_docstrings",anchor:"transformers.utils.replace_return_docstrings",parameters:[{name:"output_type",val:" = None"},{name:"config_class",val:" = None"}],source:"https://github.com/huggingface/transformers/blob/v4.39.3/src/transformers/utils/doc.py#L1162"}}),O=new ae({props:{title:"Special Properties",local:"transformers.utils.cached_property",headingTag:"h2"}}),F=new _({props:{name:"class transformers.utils.cached_property",anchor:"transformers.utils.cached_property",parameters:[{name:"fget",val:" = None"},{name:"fset",val:" = None"},{name:"fdel",val:" = None"},{name:"doc",val:" = None"}],source:"https://github.com/huggingface/transformers/blob/v4.39.3/src/transformers/utils/generic.py#L45"}}),K=new ae({props:{title:"Other Utilities",local:"transformers.utils._LazyModule",headingTag:"h2"}}),R=new _({props:{name:"class transformers.utils._LazyModule",anchor:"transformers.utils._LazyModule",parameters:[{name:"name",val:""},{name:"module_file",val:""},{name:"import_structure",val:""},{name:"module_spec",val:" = None"},{name:"extra_objects",val:" = None"}],source:"https://github.com/huggingface/transformers/blob/v4.39.3/src/transformers/utils/import_utils.py#L1423"}}),{c(){b=l("meta"),se=s(),te=l("p"),ne=s(),m(P.$$.fragment),le=s(),T=l("p"),T.innerHTML=Ve,oe=s(),C=l("p"),C.textContent=He,me=s(),m(L.$$.fragment),ie=s(),h=l("div"),m(D.$$.fragment),Ce=s(),J=l("p"),J.textContent=qe,de=s(),y=l("div"),m(M.$$.fragment),Le=s(),Q=l("p"),Q.innerHTML=Ue,fe=s(),x=l("div"),m(z.$$.fragment),De=s(),W=l("p"),W.innerHTML=je,ue=s(),m(k.$$.fragment),ce=s(),I=l("div"),m(S.$$.fragment),pe=s(),V=l("div"),m(H.$$.fragment),ge=s(),q=l("div"),m(U.$$.fragment),ve=s(),j=l("div"),m(B.$$.fragment),$e=s(),A=l("div"),m(G.$$.fragment),_e=s(),m(O.$$.fragment),be=s(),g=l("div"),m(F.$$.fragment),Me=s(),X=l("p"),X.textContent=Be,ze=s(),Y=l("p"),Y.textContent=Ae,ke=s(),Z=l("p"),Z.textContent=Ge,he=s(),m(K.$$.fragment),ye=s(),N=l("div"),m(R.$$.fragment),Ie=s(),ee=l("p"),ee.textContent=Oe,xe=s(),re=l("p"),this.h()},l(e){const r=tt("svelte-u9bgzb",document.head);b=o(r,"META",{name:!0,content:!0}),r.forEach(t),se=n(e),te=o(e,"P",{}),v(te).forEach(t),ne=n(e),i(P.$$.fragment,e),le=n(e),T=o(e,"P",{"data-svelte-h":!0}),E(T)!=="svelte-1d4d2gz"&&(T.innerHTML=Ve),oe=n(e),C=o(e,"P",{"data-svelte-h":!0}),E(C)!=="svelte-11r0tff"&&(C.textContent=He),me=n(e),i(L.$$.fragment,e),ie=n(e),h=o(e,"DIV",{class:!0});var Ee=v(h);i(D.$$.fragment,Ee),Ce=n(Ee),J=o(Ee,"P",{"data-svelte-h":!0}),E(J)!=="svelte-u4x3ci"&&(J.textContent=qe),Ee.forEach(t),de=n(e),y=o(e,"DIV",{class:!0});var we=v(y);i(M.$$.fragment,we),Le=n(we),Q=o(we,"P",{"data-svelte-h":!0}),E(Q)!=="svelte-2r4dp3"&&(Q.innerHTML=Ue),we.forEach(t),fe=n(e),x=o(e,"DIV",{class:!0});var Pe=v(x);i(z.$$.fragment,Pe),De=n(Pe),W=o(Pe,"P",{"data-svelte-h":!0}),E(W)!=="svelte-tzxk2n"&&(W.innerHTML=je),Pe.forEach(t),ue=n(e),i(k.$$.fragment,e),ce=n(e),I=o(e,"DIV",{class:!0});var Fe=v(I);i(S.$$.fragment,Fe),Fe.forEach(t),pe=n(e),V=o(e,"DIV",{class:!0});var Ke=v(V);i(H.$$.fragment,Ke),Ke.forEach(t),ge=n(e),q=o(e,"DIV",{class:!0});var Re=v(q);i(U.$$.fragment,Re),Re.forEach(t),ve=n(e),j=o(e,"DIV",{class:!0});var Je=v(j);i(B.$$.fragment,Je),Je.forEach(t),$e=n(e),A=o(e,"DIV",{class:!0});var Qe=v(A);i(G.$$.fragment,Qe),Qe.forEach(t),_e=n(e),i(O.$$.fragment,e),be=n(e),g=o(e,"DIV",{class:!0});var w=v(g);i(F.$$.fragment,w),Me=n(w),X=o(w,"P",{"data-svelte-h":!0}),E(X)!=="svelte-4cuoeh"&&(X.textContent=Be),ze=n(w),Y=o(w,"P",{"data-svelte-h":!0}),E(Y)!=="svelte-1mfkm3t"&&(Y.textContent=Ae),ke=n(w),Z=o(w,"P",{"data-svelte-h":!0}),E(Z)!=="svelte-1x2w0p5"&&(Z.textContent=Ge),w.forEach(t),he=n(e),i(K.$$.fragment,e),ye=n(e),N=o(e,"DIV",{class:!0});var Te=v(N);i(R.$$.fragment,Te),Ie=n(Te),ee=o(Te,"P",{"data-svelte-h":!0}),E(ee)!=="svelte-tjmjug"&&(ee.textContent=Oe),Te.forEach(t),xe=n(e),re=o(e,"P",{}),v(re).forEach(t),this.h()},h(){$(b,"name","hf:doc:metadata"),$(b,"content",at),$(h,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(g,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,r){d(document.head,b),a(e,se,r),a(e,te,r),a(e,ne,r),f(P,e,r),a(e,le,r),a(e,T,r),a(e,oe,r),a(e,C,r),a(e,me,r),f(L,e,r),a(e,ie,r),a(e,h,r),f(D,h,null),d(h,Ce),d(h,J),a(e,de,r),a(e,y,r),f(M,y,null),d(y,Le),d(y,Q),a(e,fe,r),a(e,x,r),f(z,x,null),d(x,De),d(x,W),a(e,ue,r),f(k,e,r),a(e,ce,r),a(e,I,r),f(S,I,null),a(e,pe,r),a(e,V,r),f(H,V,null),a(e,ge,r),a(e,q,r),f(U,q,null),a(e,ve,r),a(e,j,r),f(B,j,null),a(e,$e,r),a(e,A,r),f(G,A,null),a(e,_e,r),f(O,e,r),a(e,be,r),a(e,g,r),f(F,g,null),d(g,Me),d(g,X),d(g,ze),d(g,Y),d(g,ke),d(g,Z),a(e,he,r),f(K,e,r),a(e,ye,r),a(e,N,r),f(R,N,null),d(N,Ie),d(N,ee),a(e,xe,r),a(e,re,r),Ne=!0},p:Xe,i(e){Ne||(u(P.$$.fragment,e),u(L.$$.fragment,e),u(D.$$.fragment,e),u(M.$$.fragment,e),u(z.$$.fragment,e),u(k.$$.fragment,e),u(S.$$.fragment,e),u(H.$$.fragment,e),u(U.$$.fragment,e),u(B.$$.fragment,e),u(G.$$.fragment,e),u(O.$$.fragment,e),u(F.$$.fragment,e),u(K.$$.fragment,e),u(R.$$.fragment,e),Ne=!0)},o(e){c(P.$$.fragment,e),c(L.$$.fragment,e),c(D.$$.fragment,e),c(M.$$.fragment,e),c(z.$$.fragment,e),c(k.$$.fragment,e),c(S.$$.fragment,e),c(H.$$.fragment,e),c(U.$$.fragment,e),c(B.$$.fragment,e),c(G.$$.fragment,e),c(O.$$.fragment,e),c(F.$$.fragment,e),c(K.$$.fragment,e),c(R.$$.fragment,e),Ne=!1},d(e){e&&(t(se),t(te),t(ne),t(le),t(T),t(oe),t(C),t(me),t(ie),t(h),t(de),t(y),t(fe),t(x),t(ue),t(ce),t(I),t(pe),t(V),t(ge),t(q),t(ve),t(j),t($e),t(A),t(_e),t(be),t(g),t(he),t(ye),t(N),t(xe),t(re)),t(b),p(P,e),p(L,e),p(D),p(M),p(z),p(k,e),p(S),p(H),p(U),p(B),p(G),p(O,e),p(F),p(K,e),p(R)}}}const at='{"title":"General Utilities","local":"general-utilities","sections":[{"title":"Enums and namedtuples","local":"transformers.utils.ExplicitEnum","sections":[],"depth":2},{"title":"Special Decorators","local":"transformers.add_start_docstrings","sections":[],"depth":2},{"title":"Special Properties","local":"transformers.utils.cached_property","sections":[],"depth":2},{"title":"Other Utilities","local":"transformers.utils._LazyModule","sections":[],"depth":2}],"depth":1}';function st(Se){return Ye(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class it extends Ze{constructor(b){super(),et(this,b,st,rt,We,{})}}export{it as component};
